Package org.apache.felix.gogo.runtime

# Class Reflective

java.lang.Object
org.apache.felix.gogo.runtime.Reflective

public final class Reflective extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Set<String>`
`KEYWORDS`
`static final String`
`MAIN`
`static final Object`
`NO_MATCH`

## Constructor Summary

Constructors
Constructor
Description
`Reflective()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`invoke(CommandSession session, Object target, String name, List<Object> args)`
invokes the named method on the given target using the supplied args, which are converted if necessary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_MATCH

public static final Object NO_MATCH

### MAIN

public static final String MAIN

See Also:
  - Constant Field Values

### KEYWORDS

public static final Set<String> KEYWORDS

## Constructor Details

### Reflective

public Reflective()

## Method Details

### invoke

public static Object invoke(CommandSession session, Object target, String name, List<Object> args) throws Exception
invokes the named method on the given target using the supplied args, which are converted if necessary.

Parameters:
  `session` -
  `target` -
  `name` -
  `args` -
Returns:
  the result of the invoked method
Throws:
  `Exception`